# testfairy_flutter
The Flutter integration for TestFairy SDK.

## Installation
[See details...](https://pub.dartlang.org/packages/testfairy_flutter#-installing-tab-)

## Quick Start
Include the library and run your main app like this.

```dart
import 'package:testfairy_flutter/testfairy_flutter.dart';

void main() {
  runZoned(
    () async {
      try {
        FlutterError.onError = (details) => TestFairy.logError(details.exception);

        // Do any other SDK setup here
        TestFairy.begin('TOKEN');

        await runApp(TestfairyExampleApp());
      } catch (error) {
        TestFairy.logError(error);
      }
    },
    onError: TestFairy.logError,
    zoneSpecification: new ZoneSpecification(
      print: (self, parent, zone, message) => TestFairy.log(message)
    )
  );
}
```

## Docs
[Go to docs...](https://pub.dartlang.org/documentation/testfairy_flutter/latest/)
 
## Development
1. Install [Flutter](https://flutter.io/docs).
2. Connect an Android device.
3. Run `./test.sh` in the main folder and wait for tests to complete.
4. (Optional) Run `./run.sh` and tap buttons to see what happens.
5. (Optional) Run `./profile.sh` in the main folder and tap around to benchmark.
6. Edit *example/lib/main.dart* and *example/test_driver/app_test.dart* to add a test case.
7. Edit *lib/testfairy_flutter.dart* to add more SDK integration.
8. Run `./docs.sh` to generate documentation for offline usage.

## TODO
1. Add iOS support.
2. Add video support on Android.
3. Add network logging.
